spring.application.name=Platform App
server.port=8082
server.address=0.0.0.0
socket.host=0.0.0.0
socket.port=8081

platform-url=https://easyaab.com
portal-admin-url=https://easyaab.com/admin/
chat-url=https://collab.easyaab.com/
dms-url=https://dsm-backend.easyaab.com/api/v1/

#platform-url=http://192.168.10.39:8004
#portal-admin-url=http://192.168.10.39:8004/admin/
#chat-url=http://192.168.10.39:8002/
#dms-url=http://localhost:1030/api/v1/

#aws.secretsmanager.access.key=na
#aws.secretsmanager.secret.key=na
aws.secretsmanager.access.key=na
aws.secretsmanager.secret.key=na
aws.secretsmanager.default.region=us-east-2
aws.secretsmanager.secret.name=prod/apps/platform

aws.accessKeyId=na
aws.secretAccessKey=na
aws.region=us-east-2
aws.s3.bucketName=ls-dms-platform
aws.s3.folder=Profile_Pictures
aws.s3.helpdesk_folder=helpdesk

pusher.app_id = 1838890
pusher.key = 1a16d5314d61172eec73
pusher.secret = 37f86d9bfa0958d80c81
pusher.cluster = ap2

#Email Settings
spring.mail.host=smtp.gmail.com
spring.mail.port=465
spring.mail.username=lspodtest@gmail.com
spring.mail.password=emodmvscibwuqskc
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.ssl.enable=true
spring.mail.from=lspodtest@gmail.com
admin-email=lathranbusiness@gmail.com

#spring.datasource1.url=jdbc:mysql://127.0.0.1/portal2?zeroDateTimeBehavior=convertToNull
#spring.datasource1.port=3306
#spring.datasource1.username=root
#spring.datasource1.password=abc123
#
#spring.datasource2.url=jdbc:mysql://127.0.0.1/collab1
#spring.datasource2.port=3306
#spring.datasource2.username=root
#spring.datasource2.password=abc123

spring.datasource1.url=jdbc:mysql://127.0.0.1/easyaabc_lathransuite?zeroDateTimeBehavior=convertToNull
spring.datasource1.port=3306
spring.datasource1.username=easyaabc_lathransuite
spring.datasource1.password=easyaabc_lathransuite

spring.datasource2.url=jdbc:mysql://127.0.0.1/easyaabc_collab
spring.datasource2.port=3306
spring.datasource2.username=easyaabc_collab
spring.datasource2.password=easyaabc_collab

spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQLDialect
spring.jpa.hibernate.ddl-auto=none
spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyJpaImpl
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
spring.jpa.properties.hibernate.enable_lazy_load_no_trans=false
spring.jpa.properties.hibernate.connection.release_mode=auto
spring.jpa.properties.hibernate.filters.enabled=true
spring.jpa.properties.hibernate.filters.dynamic.tenantFilter.tenantId=tenant_id = :tenantId
logging.level.org.springframework.web=DEBUG
logging.level.org.hibernate.SQL=DEBUG
logging.level.org.hibernate.type.descriptor.sql.BasicBinder=TRACE


spring.servlet.multipart.max-file-size=35MB
spring.servlet.multipart.max-request-size=35MB
spring.main.allow-circular-references=true
spring.mvc.throw-exception-if-no-handler-found=true
spring.web.resources.add-mappings=false

spring.redis.host=localhost
spring.redis.port=6379
redis.cache.enabled=false

#elastic-search.ip=localhost
#elastic-search.host=http
#elastic-search.port=9200
#
#spring.elasticsearch.rest.uris=http://localhost:9200
#spring.data.elasticsearch.cluster.node=localhost:9200
#spring.data.elasticsearch.cluster.names=elasticsearch
#spring.elasticsearch.username=elastic
#spring.elasticsearch.password=qSq=snJKnxpWqL8=*zA*

spring.elasticsearch.rest.enabled=false
spring.data.elasticsearch.repositories.enabled=false
spring.data.elasticsearch.client.enabled=false

elastic-search.ip=elasticsearch-901828565.us-east-1.bonsaisearch.net
elastic-search.host=https
elastic-search.port=443

spring.elasticsearch.rest.uris=https://elasticsearch-901828565.us-east-1.bonsaisearch.net:443
spring.elasticsearch.uris=https://elasticsearch-901828565.us-east-1.bonsaisearch.net:443
spring.elasticsearch.username=hcn0fslwdu
spring.elasticsearch.password=h1599fftkv


#spring.data.elasticsearch.cluster.node=elasticsearch-901828565.us-east-1.bonsaisearch.net:443
#spring.data.elasticsearch.cluster.names=elasticsearch
#spring.elasticsearch.rest.username=hcn0fslwdu
#spring.elasticsearch.rest.password=h1599fftkv

#spring.elasticsearch.rest.enabled=false
#spring.data.elasticsearch.repositories.enabled=false
#spring.data.elasticsearch.client.enabled=false
#spring.elasticsearch.rest.uris=http://192.168.10.39:9200
#spring.data.elasticsearch.cluster.node=192.168.10.39:9200
#spring.data.elasticsearch.cluster.names=elasticsearch
#spring.elasticsearch.username=elastic
#spring.elasticsearch.password=na


management.endpoints.web.exposure.include=*
management.endpoints.web.base-path=/actuator

spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.serialization.WRITE_DATES_AS_TIMESTAMPS=false

jwt.secretKey=QPbM8neuZ2NbpWw/gM5MEFE5WL6pcqrIdgLV+/ykQx8=

logging.file.name=app.log
logging.file.path=logs
logging.file.max-size=50MB
logging.file.max-history=30

module-name=LathranApp
api-version=1.0.0
